2

I am trying to download and install the google play downloader for ubuntu. I have downloaded the google play downloader from here. I tried installing it by using sudo dpkg -i googleplaydownloader_1.7-1_all.deb from the from my Downloads folder. But I just got the following dependency errors.

dpkg: dependency problems prevent configuration of googleplaydownloader:
googleplaydownloader depends on python-configparser; however:
Package python-configparser is not installed.
googleplaydownloader depends on python-ndg-httpsclient; however:
Package python-ndg-httpsclient is not installed.
googleplaydownloader depends on python-protobuf (>= 2.4); however:
Package python-protobuf is not installed.
googleplaydownloader depends on python-pyasn1; however:
Package python-pyasn1 is not installed.

dpkg: error processing package googleplaydownloader (--install):
dependency problems - leaving unconfigured
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Errors were encountered while processing:
googleplaydownloader

I tried using sudo apt-get -f install. After using it, I attempted sudo dkpg -i googleplaydownloader_1.7-1_all.deb once more. Yet, I got some errors as in the following.

Selecting previously unselected package googleplaydownloader.
(Reading database ... 294372 files and directories currently installed.)
Preparing to unpack googleplaydownloader_1.7-1_all.deb ...
Unpacking googleplaydownloader (1.7-1) ...
dpkg: dependency problems prevent configuration of googleplaydownloader:
googleplaydownloader depends on python-ndg-httpsclient; however:
Package python-ndg-httpsclient is not installed.

dpkg: error processing package googleplaydownloader (--install):
dependency problems - leaving unconfigured
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Errors were encountered while processing:
googleplaydownloader

Help me overcome these errors and make a successful install of the google play downloader.


Update 1:

I have downloaded python-ndg-httpclient from here. I tried installing it with this command: sudo dpkg -i python-ndg-httpsclient_0.3.2-1_all.deb. This time I have encountered with another set of dependency problem. And I wonder how long it will go! The following are the errors.

dpkg: dependency problems prevent configuration of python-ndg-httpsclient:
python-ndg-httpsclient depends on python-support (>= 0.90.0); however:
Package python-support is not installed.

dpkg: error processing package python-ndg-httpsclient (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
python-ndg-httpsclient 
2

Bottom Up!

  1. python-ndg-httpsclient depends on python-support

  2. googleplaydownloader depends on python-ndg-httpsclient

  3. googleplaydownloader finally

    • you have downloaded it already
    • install it now: sudo dpkg -i googleplaydownloader_1.7-1_all.deb

Thats It and Thumbs Up :)

  • Have you tried? – kevy Mar 11 '15 at 17:08
  • @Ramvignesh all.deb files can be installed through software centre also – Mudit Kapil Mar 11 '15 at 17:56
  • @MuditKapil I'd say terminal installation is more powerful and better. – kevy Mar 11 '15 at 18:02
0

Execute following command in terminal

sudo apt-get install python-configparser python-protobuf python-pyasn1

Then install python-ndg-httpsclient which you have downloaded and then googleplaydownloader_1.7-1_all.deb using sudo dpkg -i x.deb where x=package name

  • Unable to locate package python-ndg-httpsclient with your command – Mudit Kapil Mar 11 '15 at 17:45
  • edited my answer – Faizan Akram Dar Mar 11 '15 at 17:52
  • it works , i just installed – Faizan Akram Dar Mar 11 '15 at 18:00
  • I've installed from another answer – Mudit Kapil Mar 11 '15 at 18:02

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.